<?php



$tdatatb_movimento = array();
$tdatatb_movimento[".searchableFields"] = array();
$tdatatb_movimento[".ShortName"] = "tb_movimento";
$tdatatb_movimento[".OwnerID"] = "";
$tdatatb_movimento[".OriginalTable"] = "tb_movimento";


$tdatatb_movimento[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_movimento[".originalPagesByType"] = $tdatatb_movimento[".pagesByType"];
$tdatatb_movimento[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_movimento[".originalPages"] = $tdatatb_movimento[".pages"];
$tdatatb_movimento[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_movimento[".originalDefaultPages"] = $tdatatb_movimento[".defaultPages"];

//	field labels
$fieldLabelstb_movimento = array();
$fieldToolTipstb_movimento = array();
$pageTitlestb_movimento = array();
$placeHolderstb_movimento = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelstb_movimento["English"] = array();
	$fieldToolTipstb_movimento["English"] = array();
	$placeHolderstb_movimento["English"] = array();
	$pageTitlestb_movimento["English"] = array();
	$fieldLabelstb_movimento["English"]["movID"] = "Mov ID";
	$fieldToolTipstb_movimento["English"]["movID"] = "";
	$placeHolderstb_movimento["English"]["movID"] = "";
	$fieldLabelstb_movimento["English"]["movimento"] = "Movimento";
	$fieldToolTipstb_movimento["English"]["movimento"] = "";
	$placeHolderstb_movimento["English"]["movimento"] = "";
	$fieldLabelstb_movimento["English"]["periodicidade"] = "Periodicidade";
	$fieldToolTipstb_movimento["English"]["periodicidade"] = "";
	$placeHolderstb_movimento["English"]["periodicidade"] = "";
	$fieldLabelstb_movimento["English"]["Fonte"] = "Fonte";
	$fieldToolTipstb_movimento["English"]["Fonte"] = "";
	$placeHolderstb_movimento["English"]["Fonte"] = "";
	$fieldLabelstb_movimento["English"]["ativar"] = "Ativar";
	$fieldToolTipstb_movimento["English"]["ativar"] = "";
	$placeHolderstb_movimento["English"]["ativar"] = "";
	if (count($fieldToolTipstb_movimento["English"]))
		$tdatatb_movimento[".isUseToolTips"] = true;
}


	$tdatatb_movimento[".NCSearch"] = true;



$tdatatb_movimento[".shortTableName"] = "tb_movimento";
$tdatatb_movimento[".nSecOptions"] = 0;

$tdatatb_movimento[".mainTableOwnerID"] = "";
$tdatatb_movimento[".entityType"] = 0;

$tdatatb_movimento[".strOriginalTableName"] = "tb_movimento";

	



$tdatatb_movimento[".showAddInPopup"] = false;

$tdatatb_movimento[".showEditInPopup"] = false;

$tdatatb_movimento[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_movimento[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_movimento[".listAjax"] = false;
//	temporary
$tdatatb_movimento[".listAjax"] = false;

	$tdatatb_movimento[".audit"] = false;

	$tdatatb_movimento[".locking"] = false;


$pages = $tdatatb_movimento[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_movimento[".edit"] = true;
	$tdatatb_movimento[".afterEditAction"] = 0;
	$tdatatb_movimento[".closePopupAfterEdit"] = 1;
	$tdatatb_movimento[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_movimento[".add"] = true;
$tdatatb_movimento[".afterAddAction"] = 1;
$tdatatb_movimento[".closePopupAfterAdd"] = 1;
$tdatatb_movimento[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_movimento[".list"] = true;
}



$tdatatb_movimento[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_movimento[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_movimento[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_movimento[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_movimento[".printFriendly"] = true;
}



$tdatatb_movimento[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_movimento[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_movimento[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_movimento[".isUseAjaxSuggest"] = true;

$tdatatb_movimento[".rowHighlite"] = true;





$tdatatb_movimento[".ajaxCodeSnippetAdded"] = false;

$tdatatb_movimento[".buttonsAdded"] = false;

$tdatatb_movimento[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_movimento[".isUseTimeForSearch"] = false;


$tdatatb_movimento[".badgeColor"] = "D2691E";


$tdatatb_movimento[".allSearchFields"] = array();
$tdatatb_movimento[".filterFields"] = array();
$tdatatb_movimento[".requiredSearchFields"] = array();

$tdatatb_movimento[".googleLikeFields"] = array();
$tdatatb_movimento[".googleLikeFields"][] = "movID";
$tdatatb_movimento[".googleLikeFields"][] = "movimento";
$tdatatb_movimento[".googleLikeFields"][] = "periodicidade";
$tdatatb_movimento[".googleLikeFields"][] = "Fonte";
$tdatatb_movimento[".googleLikeFields"][] = "ativar";



$tdatatb_movimento[".tableType"] = "list";

$tdatatb_movimento[".printerPageOrientation"] = 0;
$tdatatb_movimento[".nPrinterPageScale"] = 100;

$tdatatb_movimento[".nPrinterSplitRecords"] = 40;

$tdatatb_movimento[".geocodingEnabled"] = false;










$tdatatb_movimento[".pageSize"] = 20;

$tdatatb_movimento[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_movimento[".strOrderBy"] = $tstrOrderBy;

$tdatatb_movimento[".orderindexes"] = array();

$tdatatb_movimento[".sqlHead"] = "SELECT movID,  	movimento,  	periodicidade,  	Fonte,  	ativar";
$tdatatb_movimento[".sqlFrom"] = "FROM tb_movimento";
$tdatatb_movimento[".sqlWhereExpr"] = "";
$tdatatb_movimento[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_movimento[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_movimento[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_movimento[".highlightSearchResults"] = true;

$tableKeystb_movimento = array();
$tableKeystb_movimento[] = "movID";
$tdatatb_movimento[".Keys"] = $tableKeystb_movimento;


$tdatatb_movimento[".hideMobileList"] = array();




//	movID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "movID";
	$fdata["GoodName"] = "movID";
	$fdata["ownerTable"] = "tb_movimento";
	$fdata["Label"] = GetFieldLabel("tb_movimento","movID");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "movID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "movID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_movimento["movID"] = $fdata;
		$tdatatb_movimento[".searchableFields"][] = "movID";
//	movimento
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "movimento";
	$fdata["GoodName"] = "movimento";
	$fdata["ownerTable"] = "tb_movimento";
	$fdata["Label"] = GetFieldLabel("tb_movimento","movimento");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "movimento";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "movimento";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_movimento["movimento"] = $fdata;
		$tdatatb_movimento[".searchableFields"][] = "movimento";
//	periodicidade
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "periodicidade";
	$fdata["GoodName"] = "periodicidade";
	$fdata["ownerTable"] = "tb_movimento";
	$fdata["Label"] = GetFieldLabel("tb_movimento","periodicidade");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "periodicidade";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "periodicidade";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Diária ";
	$edata["LookupValues"][] = "Semanal";
	$edata["LookupValues"][] = "Mensal";
	$edata["LookupValues"][] = "Trimestral";
	$edata["LookupValues"][] = "Semestral";
	$edata["LookupValues"][] = "Anual";
	$edata["LookupValues"][] = "Eventual";
	$edata["LookupValues"][] = "Emergência";

	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_movimento["periodicidade"] = $fdata;
		$tdatatb_movimento[".searchableFields"][] = "periodicidade";
//	Fonte
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Fonte";
	$fdata["GoodName"] = "Fonte";
	$fdata["ownerTable"] = "tb_movimento";
	$fdata["Label"] = GetFieldLabel("tb_movimento","Fonte");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Fonte";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Fonte";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_movimento["Fonte"] = $fdata;
		$tdatatb_movimento[".searchableFields"][] = "Fonte";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_movimento";
	$fdata["Label"] = GetFieldLabel("tb_movimento","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_movimento["ativar"] = $fdata;
		$tdatatb_movimento[".searchableFields"][] = "ativar";


$tables_data["tb_movimento"]=&$tdatatb_movimento;
$field_labels["tb_movimento"] = &$fieldLabelstb_movimento;
$fieldToolTips["tb_movimento"] = &$fieldToolTipstb_movimento;
$placeHolders["tb_movimento"] = &$placeHolderstb_movimento;
$page_titles["tb_movimento"] = &$pageTitlestb_movimento;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_movimento"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_movimento"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_movimento()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "movID,  	movimento,  	periodicidade,  	Fonte,  	ativar";
$proto0["m_strFrom"] = "FROM tb_movimento";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "movID",
	"m_strTable" => "tb_movimento",
	"m_srcTableName" => "tb_movimento"
));

$proto6["m_sql"] = "movID";
$proto6["m_srcTableName"] = "tb_movimento";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "movimento",
	"m_strTable" => "tb_movimento",
	"m_srcTableName" => "tb_movimento"
));

$proto8["m_sql"] = "movimento";
$proto8["m_srcTableName"] = "tb_movimento";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "periodicidade",
	"m_strTable" => "tb_movimento",
	"m_srcTableName" => "tb_movimento"
));

$proto10["m_sql"] = "periodicidade";
$proto10["m_srcTableName"] = "tb_movimento";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "Fonte",
	"m_strTable" => "tb_movimento",
	"m_srcTableName" => "tb_movimento"
));

$proto12["m_sql"] = "Fonte";
$proto12["m_srcTableName"] = "tb_movimento";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_movimento",
	"m_srcTableName" => "tb_movimento"
));

$proto14["m_sql"] = "ativar";
$proto14["m_srcTableName"] = "tb_movimento";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "tb_movimento";
$proto17["m_srcTableName"] = "tb_movimento";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "movID";
$proto17["m_columns"][] = "movimento";
$proto17["m_columns"][] = "periodicidade";
$proto17["m_columns"][] = "Fonte";
$proto17["m_columns"][] = "ativar";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "tb_movimento";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "tb_movimento";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_movimento";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_movimento = createSqlQuery_tb_movimento();


	
		;

					

$tdatatb_movimento[".sqlquery"] = $queryData_tb_movimento;

$tableEvents["tb_movimento"] = new eventsBase;
$tdatatb_movimento[".hasEvents"] = false;

?>